Imports Spread.Common.DataStore.DataSourceEntities
Imports Spread.Common.DataStore.Spread.Common.DataStore
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Public Class DataService
#Region "fields"
    Private _jsonDataSource As JsonDataSource
    Private _dashBoardSource As DashBoardDataSource
    Private _kpiDataSource As KPIDataSource
    Private _accessDataSource As AccessDataSource
    Private _financialKpiDataSource As FinancialKPIDataSource
    Private _incomeStatementDataSource As IncomeStatementDataSource
    Private _studentDashboardDataSource As StudentDashboardDataSource
    Private _studentCalendarDataSource As StudentCalendarDataSource
    Private _cogsDataSource As COGSDataSource
    Private _orderEntryDataSource As OrderEntryDataSource
#End Region

#Region "Object Model"

    Public ReadOnly Property JsonDataSource() As JsonDataSource
        Get
            If _jsonDataSource Is Nothing Then
                _jsonDataSource = New JsonDataSource()
            End If
            Return _jsonDataSource
        End Get
    End Property

    Public ReadOnly Property DashBoardDataSource() As DashBoardDataSource
        Get
            If _dashBoardSource Is Nothing Then
                _dashBoardSource = New DashBoardDataSource()
            End If
            Return _dashBoardSource
        End Get
    End Property
    Public ReadOnly Property KPIDataSource() As KPIDataSource
        Get
            If _kpiDataSource Is Nothing Then
                _kpiDataSource = New KPIDataSource()
            End If
            Return _kpiDataSource
        End Get
    End Property

    Public ReadOnly Property AccessDataSource() As AccessDataSource
        Get
            If _accessDataSource Is Nothing Then
                _accessDataSource = New AccessDataSource()
            End If
            Return _accessDataSource
        End Get
    End Property

    Public ReadOnly Property FinancialKPIDataSource() As FinancialKPIDataSource
        Get
            If _financialKpiDataSource Is Nothing Then
                _financialKpiDataSource = New FinancialKPIDataSource()
            End If
            Return _financialKpiDataSource
        End Get
    End Property

    Public ReadOnly Property IncomeStatementDataSource() As IncomeStatementDataSource
        Get
            If _incomeStatementDataSource Is Nothing Then
                _incomeStatementDataSource = New IncomeStatementDataSource()
            End If
            Return _incomeStatementDataSource
        End Get
    End Property

    Public ReadOnly Property StudentDashboardDataSource() As StudentDashboardDataSource
        Get
            If _studentDashboardDataSource Is Nothing Then
                _studentDashboardDataSource = New StudentDashboardDataSource()
            End If
            Return _studentDashboardDataSource
        End Get
    End Property

    Public ReadOnly Property StudentCalendarDataSource() As StudentCalendarDataSource
        Get
            If _studentCalendarDataSource Is Nothing Then
                _studentCalendarDataSource = New StudentCalendarDataSource()
            End If
            Return _studentCalendarDataSource
        End Get
    End Property

    Public ReadOnly Property COGSDataSource() As COGSDataSource
        Get
            If _cogsDataSource Is Nothing Then
                _cogsDataSource = New COGSDataSource()
            End If
            Return _cogsDataSource
        End Get
    End Property

    Public ReadOnly Property OrderEntryDataSource() As OrderEntryDataSource
        Get
            If _orderEntryDataSource Is Nothing Then
                _orderEntryDataSource = New OrderEntryDataSource()
            End If
            Return _orderEntryDataSource
        End Get
    End Property
#End Region


End Class
