Imports System.Collections.Generic

Namespace Models
	''' <summary>
	''' Model class for absent records of all Students for a Session
	''' </summary>
	Public Class AbsentRecords
		#Region "Properies"
		Public Property SessionID() As Integer
			Get
				Return m_SessionID
			End Get
			Set
				m_SessionID = Value
			End Set
		End Property
		Private m_SessionID As Integer
		Public Property StudentRecords() As List(Of AbsentRecord)
			Get
				Return m_StudentRecords
			End Get
			Set
				m_StudentRecords = Value
			End Set
		End Property
		Private m_StudentRecords As List(Of AbsentRecord)
		#End Region
	End Class

	''' <summary>
	''' Model class for absent record of a Student
	''' </summary>
	Public Class AbsentRecord
		Implements IStudentRecord
		#Region "Properties"
		Public Property StudentID() As Integer Implements IStudentRecord.StudentID
			Get
				Return m_StudentID
			End Get
			Set
				m_StudentID = Value
			End Set
		End Property
		Private m_StudentID As Integer
		Public Property [Date]() As DateTime Implements IStudentRecord.[Date]
			Get
				Return m_Date
			End Get
			Set
				m_Date = Value
			End Set
		End Property
		Private m_Date As DateTime
		#End Region
	End Class
End Namespace
