Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Drawing
Imports System.Data
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms

Namespace Spread.Common.Features.Sample
    Partial Public Class BaseSampleControl
        Inherits UserControl
        Private ImageMode As Boolean = False
        Public Sub New()
            InitializeComponent()
            AddHandler Me.Load, AddressOf BaseSampleControl_Load
        End Sub

        Private Sub BaseSampleControl_Load(sender As Object, e As EventArgs)
            If Not DesignMode Then
                Dock = DockStyle.Fill
            End If
        End Sub

        Protected Overrides Sub OnPaint(e As PaintEventArgs)
            If Not DesignMode Then
                rootPanel.Panel2Collapsed = ImageMode OrElse pnlControls.Controls.Count = 0
            End If
            MyBase.OnPaint(e)
        End Sub



        Public Overridable Function GetImage(Optional width As Integer = 200, Optional height As Integer = 200) As Image
            Dim bmp As Bitmap = New Bitmap(Me.Width, Me.Height, System.Drawing.Imaging.PixelFormat.Format32bppArgb)
            ImageMode = True
            rootPanel.Panel2Collapsed = True
            Me.DrawToBitmap(bmp, Me.DisplayRectangle)
            ImageMode = False
            Dim thumb As Image = bmp.GetThumbnailImage(width, height, Nothing, IntPtr.Zero)
            Return thumb
        End Function
    End Class
End Namespace
