
Namespace Models
	Public Class BusinessStat
		#Region "Fields"
		Private _month As Integer
		Private _year As Integer
		#End Region

		#Region "Properties"
		Public Property Revenue() As BusinessRevenue
			Get
				Return m_Revenue
			End Get
			Set
				m_Revenue = Value
			End Set
		End Property
		Private m_Revenue As BusinessRevenue
		Public Property Expense() As BusinessExpense
			Get
				Return m_Expense
			End Get
			Set
				m_Expense = Value
			End Set
		End Property
		Private m_Expense As BusinessExpense

		Public Property Month() As Integer
			Get
				Return _month
			End Get
			Set
				If value < 1 OrElse value > 12 Then
					Throw New ArgumentException("Invalid value for Month." & vbLf & "Expected value: 1 to 12" & vbLf & "Value: {value}")
				End If
				_month = value
			End Set
		End Property

		Public Property Year() As Integer
			Get
				Return _year
			End Get
			Set
				If value < 1000 OrElse value > 9999 Then
					Throw New ArgumentException("Invalid value for Year." & vbLf & "Expected value: 1000 to 9999" & vbLf & "Value: {value}")
				End If
				_year = value
			End Set
		End Property
		#End Region
	End Class
End Namespace
