﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports Spread.Common.DataStore.Models

Namespace Spread.Common.DataStore.Models
    Public Class DashBoardItems
        Public Property Customers As List(Of Customer)
        Public Property Companies As List(Of Company)
        Public Property CustomerTargets As List(Of CustomerTarget)
        Public Property Invoices As List(Of Invoice)
        Public Property MarketSales As List(Of MarketSale)
        Public Property Products As List(Of Product)
        Public Property Sales As List(Of Sale)
        Public Property Regions As List(Of Region)
        Public Property TargetMasters As List(Of DashBoardTargetMaster)
    End Class

    Public Class DashBoardTargetMaster
        Implements IDateTime

        Public Property ProductId As Integer
        Public Property Target As Double = 0
        Public Property GTargetValue As Double = 0
        Public Property BTargetValue As Double = 0
        Public Property ActualTarget As Double = 0
        Public Property Id As Integer Implements IDateTime.Id
        Public Property Month As Integer Implements IDateTime.Month
        Public Property Year As Integer Implements IDateTime.Year

    End Class
End Namespace
