
Namespace Models
	Public Class ScheduleEntry
		Public ReadOnly Property ID() As Guid
		Public ReadOnly Property DayOfWeek() As DayOfWeek
		Public ReadOnly Property Hour() As Integer
		Public ReadOnly Property Subject() As String

		Public Sub New(subject__1 As String, dayOfWeek__2 As DayOfWeek, hour__3 As Integer)
			ID = Guid.NewGuid()
			DayOfWeek = dayOfWeek__2
			Hour = hour__3
			Subject = subject__1
		End Sub
	End Class

	Public Class Assignment
		Public ReadOnly Property ID() As Guid
		Public Property [Date]() As DateTime
			Get
				Return m_Date
			End Get
			Set
				m_Date = Value
			End Set
		End Property
		Private m_Date As DateTime
		Public ReadOnly Property Description() As String

		Public Sub New(date__1 As DateTime, description__2 As String)
			ID = Guid.NewGuid()
			[Date] = date__1
			Description = description__2
		End Sub
	End Class
End Namespace
