﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Namespace Spread.Common.Features.Sample
    Public Class BaseSample
        Public Property Title As String
        Public Property Description As String
        Public Property Code As String
        Public Property ExeName As String

        Public ReadOnly Property UniqueName As String
            Get
                Return ExeName & "." & ClassName
            End Get
        End Property

        Public Property ClassName As String
        Public Property IsGroup As Boolean = False
        Public Property Status As String
        Public Property NotASample As Boolean = False
    End Class

    Public Class ExampleSample
        Inherits BaseSample
    End Class

    Public Class FeatureSample
        Inherits BaseSample

        Public Property FeatureName As String
    End Class
End Namespace
